Bugs :  K-Meleon Forum
You can talk about issues with k-meleon here.  
Cannot run K-meleon under Win98 SEsad smiley
Posted by: Vala
Date: September 15, 2011 09:19AM

I have several different computers with 98SE and K-Meleon won't run on ANY of them. I've got it to run on Win 95 and Win ME but NOT Win 98 SE.

This is the version 1.5.4 K-Meleon.

First when I run it on Win 98 SE - with a clean install - it says it's missing MSVCR71.DLL -- when I get that -- (dated 2-20-03 ver 7.10.3052.4) then I get an Illegal operation message stating k-meleonW9x has caused illegal operation in k-meleonW9x -- k-meleonW9x.exe will now close and I can't solve this problem or figure anything out.

Thanks,

Options: ReplyQuote
Re: Cannot run K-meleon under Win98 SEsad smiley
Posted by: gordon451
Date: September 15, 2011 04:37PM

Hi Vala - You need to download the missing installer from
http://archive.msdn.microsoft.com/KB932298/Release/ProjectReleases.aspx?ReleaseId=762.

Or you could download mfc71u.dll, msvcp71.dll and msvcr71.dll from http://www.dll-files.com/dllindex/index-m.shtml. Put these three in your KM folder.

Gordon.

____________________
Gigabyte H61M-USB3-B3 r2.0, I5-2400 3.10GHz, 4GB RAM; W7HPx64 SP1, Lotus SmartSuite 9.8, K-Meleon74, Opera 12.17, IE9, Eudora 6.2, Foxit Reader 5.3.1.0606, PaintShop Pro 6.02, Avast! 7.0.1506
____________________
Sugar, greasy foods and Microsoft are dangerous to your health -- eat, drink and be merry!
____________________
Early to bed and early to rise makes a bloke crook, broke and stupid.

Options: ReplyQuote
Re: Cannot run K-meleon under Win98 SEsad smiley
Posted by: Vala
Date: September 16, 2011 12:18AM

Wow, thanks a lot! That did it! Who'd have thought you'd need three DLL's when it only reported an error needing one?!

Thanks again it's working fine now!

Options: ReplyQuote
Re: Cannot run K-meleon under Win98 SEsad smiley
Posted by: guenter
Date: September 16, 2011 03:30AM

Good 2 hear that You got all working now.

p.s. For K-Meleon versions 1.0 - 1.5.4 msvcp71.dll and msvcr71.dll are needed.
The 2 dll are shipped with the K-Meleon installer packages but not with the 7.z packages.
The 2 dll files can also be extracted from the installer.

mfc71u.dll is needed by some non official & test builds.

For all K-Meleon 1.6 betas msvcp80.dll and msvcr80.dll are needed.
& KernelEx extension to run under Win9x systems.

mfc80u.dll is needed by the first test build.



Edited 2 time(s). Last edit at 09/16/2011 06:07AM by guenter.

Options: ReplyQuote
Re: Cannot run K-meleon under Win98 SEsad smiley
Posted by: Vala
Date: September 16, 2011 03:48AM

I see, thanks for the details. I was using the 7Z package and not the installer. I was wondering if that had anyhting to do with it.

Options: ReplyQuote
K-meleon under Win98 SE
Posted by: guenter
Date: September 16, 2011 06:12AM

The 2 dll are AFAIK not shipped in the 7z archive for some copy right doubt. sad smiley

& Microsoft .NET Framework Version 1.1 Redistributable Package, which ships them, is not installed per default on any systems. & I do not know whether it can be installed on Win98SE.


IMHO it is annoying - the missing dll can cause time consuming problems like You had.



Edited 2 time(s). Last edit at 09/16/2011 06:23AM by guenter.

Options: ReplyQuote


K-Meleon forum is powered by Phorum.